{ lib
, stdenv
, buildGoModule
, fetchFromGitHub
, ffmpeg
}:

buildGoModule {
  pname = "trainbot";
  version = "unstable-2023-05-17";

  src = fetchFromGitHub {
    owner = "jo-m";
    repo = "trainbot";
    rev = "95cc53d09a047bbb2b5f990650846e14bc4f553e";
    sha256 = "sha256-v01P0o9V7Oq34sR3cRxasJeEg7dlbbGZ8FPhuljTlpg=";
  };

  checkInputs = [ ffmpeg ];
  doCheck = false;

  vendorHash = "sha256-DphXCfPW4w0aGI1e3aKQ9pDAMJ8wioPCDqRUR5gJ+Q4=";
}
